@import 'config';
@import 'utilities';

body::-webkit-scrollbar {
    width: 10px;
}

body {
    font-family: 'Roboto', sans-serif;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

::-webkit-scrollbar {
    background: transparent;
    display: none;
}

::-webkit-scrollbar-thumb {
    border-radius: 10px;
    background: $dark-color;
}

::-webkit-scrollbar-corner {
    border-radius: 10px;
}

#sidebar {
    position: fixed;
    z-index: 3;
    width: 88px;
    height: 100vh;
    display: flex;
    flex-direction: column;
    padding: 16px;
    background: rgb(16,16,17);
    background: linear-gradient(0deg, rgba(16,16,17,0.6474964985994398) 6%, rgba(60,60,60,0.7903536414565826) 39%, rgba(66,66,66,0.21052170868347342) 100%);
    overflow-y: scroll;

    .logo {
        margin-top: 50px;
        display: block;
    }

    .sidebar-links {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        flex: none;
        order: 0;
        flex-grow: 0;

        ul {
            text-align: center;
            margin-top: 120px;
        }
    
        li {
            list-style: none;
            margin: 70px 0;
        }
    
        a {
            text-decoration: none;
            color: #fff;
        }
    }
}

.icons {
    position: absolute;
    z-index: 1;
    display: inline-block;
    top: 0;
    right: 0;
    padding: 20px;

    .icon {
        margin-left: 30px;
    }
    
}

#slideshow-container {

    overflow-x: scroll;
    touch-action: pan-x;
	white-space: nowrap;
    background-color: $black-color;

    #slide {

        &-1 { background-image: url('/dist/img/godzila-vs-kong-showcase.jpg'); }
    
        &-2 { background-image: url('/dist/img/wonder-woman-showcase.jpg'); }
    
        &-3 { background-image: url('/dist/img/justice-league-showcase.jpg'); }
    }
    
    .slide {

        display: inline-block;

        .caption-text {
            position: absolute;
            left: 0;
            top: 0;
            margin-top: 300px;
            margin-left: 300px;
            width: 820px;
            color: $white-color;

            .rating {
                margin-bottom: 30px;
            }
            
            .title {
                font-weight: 500;
                font-size: 53px;
                line-height: 64px;
                margin-bottom: 40px;
            }

            .lead {
                font-weight: 400;
                font-size: 20px;
                line-height: 32px;
                margin-bottom: 20px;
                white-space: normal;
            }

        }
    }
}

#new-releases {

    #movie {

        &-1 { background-image: url('/dist/img/wonder-woman.jpg'); }

        &-2 { background-image: url('/dist/img/justice-league.jpg'); }

        &-3 { background-image: url('/dist/img/mortal-kombat.jpg'); }

        &-4 { background-image: url('/dist/img/the-courier.jpg'); }

        &-5 { background-image: url('/dist/img/thunder-force.png'); }

        &-6 { background-image: url('/dist/img/peter-rabbit.jpg'); }

        &-7 { background-image: url('/dist/img/the-marksman.jpg'); }

        &-8 { background-image: url('/dist/img/tom-and-jerry.jpg'); }

        &-9 { background-image: url('/dist/img/the-unholy.jpg'); }

        &-10 { background-image: url('/dist/img/the-conjuring.jpg'); }

        &-11 { background-image: url('/dist/img/the-guilty.jpg'); }

        &-12 { background-image: url('/dist/img/red-notice.jpg'); }
    }

    .movie {
        width: 290px;
        height: 450px;
        margin-right: 10px;

        &:last-child {
            margin-right: 0;
        }
    }
}

#featured-tv-shows {

    #movie {

        &-13 { background-image: url('/dist/img/game-of-thrones.jpg'); }

        &-14 { background-image: url('/dist/img/the-falcon-and-the-winter-soldier.png'); }

        &-15 { background-image: url('/dist/img/wandavision.jpg'); }

        &-16 { background-image: url('/dist/img/fear-the-walking-dead.jpg'); }

        &-17 { background-image: url('/dist/img/greys-anatomy.jpg'); }

        &-18 { background-image: url('/dist/img/vikings.jpg'); }

        &-19 { background-image: url('/dist/img/suits.jpg'); }

        &-20 { background-image: url('/dist/img/breaking-bad.jpg'); }
    }

    .movie {
        width: 490px;
        height: 600px;
    }
}

#footer {
    height: 70px;
    background-color: $black-color;
    color: $white-color;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 14px;

    p {
        margin-right: 10px;
    }

    a {
        color: $teal-color;
    }
}

// Media Queries
@media (min-width: 320px) and (max-width: 365px) {

    #sidebar {
        display: block;
        width: 35px;
        
        .sidebar-links {
            
            ul {
                margin-top: 5px !important;
            }

            li {
                margin: 30px 0;
            }
        
            a {
                .logo {
                    width: 30px !important;
                    margin-top: 10px;
                }

                svg {
                    width: 15px;
                }
            }
        }
    }

    .icons {
        padding: 10px;
        
        .icon {
            width: 25px;
            margin-left: 10px;
        }
    }
    
    .slide {
        background-position: center;
        height: 300px;

        .caption-text {
            width: 270px !important;
            margin-top: 40px !important;
            margin-left: 45px !important;

            .tag {
                font-size: 8px;
                margin-bottom: 10px !important;
                height: 18px;
            }

            .rating {
                margin-bottom: 5px !important;
                svg {
                    width: 15px !important;
                }
            }

            .title {
                font-size: 20px !important;
                line-height: 30px !important;
                margin-bottom: 10px !important;
            }

            .lead {
                font-size: 10px !important;
                line-height: 12px !important;
            }

            button {
                font-size: 10px !important;
                font-weight: bold;
                padding: 10px 12px;
                line-height: 10px;
            }
        }
    }

    #new-releases {
    
        .movie {
            width: 120px;
            height: 200px;
            box-shadow: inset 5px 10px 50px 5px rgb(2, 2, 2);

            .movie-content {
                margin-left: 10px;
                
                .tag {
                    font-size: 7px;
                    margin-bottom: 0;
                    height: 15px;
                }

                .rating {
                    margin-bottom: 0;
                    svg {
                        width: 10px !important;
                    }
                }

                .title {
                    font-size: 7px !important;
                }
            }

            .appear {
                font-size: 10px;
            }

            &:hover .appear {
                margin-left: 10px;
            }
        }
    }

    #featured-tv-shows {
    
        .movie {
            width: 190px;
            height: 300px;
            box-shadow: inset 35px 50px 80px 15px rgb(2, 2, 2);

            .movie-content {
                margin-left: 10px;
                
                .tag {
                    font-size: 10px;
                    margin-bottom: 0;
                    height: 21px;
                }

                .rating {
                    margin-bottom: 0;
                    svg {
                        width: 13px !important;
                    }
                }

                .title {
                    font-size: 10px !important;
                    max-width: 100px;
                }
            }

            .appear {
                font-size: 15px;
            }

            &:hover .appear {
                margin-left: 10px;
            }
            
        }
    }

    .section {

        h3 {
            font-size: 12px;
            padding: 18px;
        }
    }
}

@media (min-width: 366px) and (max-width: 767px) {
    
    #sidebar {
        display: block;
        width: 35px;
        
        .sidebar-links {
            
            ul {
                margin-top: 5px !important;
            }

            li {
                margin: 30px 0;
            }
        
            a {
                .logo {
                    width: 30px !important;
                    margin-top: 10px;
                }

                svg {
                    width: 15px;
                }
            }
        }
    }

    .icons {
        padding: 10px;
        
        .icon {
            width: 25px;
            margin-left: 10px;
        }
    }
    
    .slide {
        background-position: center;
        height: 300px;

        .caption-text {
            width: 300px !important;
            margin-top: 50px !important;
            margin-left: 60px !important;

            .tag {
                font-size: 8px;
                margin-bottom: 10px !important;
                height: 18px;
            }

            .rating {
                margin-bottom: 5px !important;
                svg {
                    width: 15px !important;
                }
            }

            .title {
                font-size: 20px !important;
                line-height: 30px !important;
                margin-bottom: 10px !important;
            }

            .lead {
                font-size: 12px !important;
                line-height: 12px !important;
            }

            button {
                font-size: 10px !important;
                font-weight: bold;
                padding: 10px 12px;
                line-height: 10px;
            }
        }
    }

    #new-releases {
    
        .movie {
            width: 120px;
            height: 200px;
            box-shadow: inset 5px 10px 50px 5px rgb(2, 2, 2);

            .movie-content {
                margin-left: 10px;
                
                .tag {
                    font-size: 7px;
                    margin-bottom: 0;
                    height: 15px;
                }

                .rating {
                    margin-bottom: 0;
                    svg {
                        width: 10px !important;
                    }
                }

                .title {
                    font-size: 7px !important;
                    max-width: 100px;
                }
            }

            .appear {
                font-size: 10px;
            }

            &:hover .appear {
                margin-left: 10px;
            }
        }
    }

    #featured-tv-shows {
    
        .movie {
            width: 190px;
            height: 300px;
            box-shadow: inset 35px 50px 80px 15px rgb(2, 2, 2);

            .movie-content {
                margin-left: 10px;
                
                .tag {
                    font-size: 10px;
                    margin-bottom: 0;
                    height: 21px;
                }

                .rating {
                    margin-bottom: 0;
                    svg {
                        width: 13px !important;
                    }
                }

                .title {
                    font-size: 10px !important;
                    max-width: 150px;
                }
            }

            .appear {
                font-size: 15px;
            }

            &:hover .appear {
                margin-left: 10px;
            }
            
        }
    }

    .section {
    
        padding-left: 40px;

        h3 {
            font-size: 12px;
            padding: 18px;
        }
    }
}

@media (min-width: 768px) and (max-width: 1439px) {

    #sidebar {
        width: 60px;
        
        .sidebar-links {
            
            ul {
                margin-top: 10px !important;
            }

            li {
                margin: 40px 0;
            }
        
            a {
                .logo {
                    width: 35px !important;
                    margin-top: 20px;
                }

                svg {
                    width: 20px;
                }
            }
        }
    }

    .icon {
        width: 30px;
    }
    
    .slide {
        background-position: center;
        height: 500px;

        .caption-text {
            width: 500px !important;
            margin-top: 100px !important;
            margin-left: 150px !important;

            .tag {
                font-size: 10px;
                margin-bottom: 10px !important;
                height: 20px;
            }

            .rating {
                margin-bottom: 10px !important;
                svg {
                    width: 20px !important;
                }
            }

            .title {
                font-size: 25px !important;
                margin-bottom: 20px !important;
            }

            .lead {
                font-size: 14px !important;
                line-height: 20px !important;
            }

            button {
                font-size: 10px !important;
                font-weight: bold;
                padding: 10px 20px;
                line-height: 10px;
            }
        }
    }

    #new-releases {
    
        .movie {
            width: 150px;
            height: 300px;
            box-shadow: inset 5px 10px 50px 5px rgb(2, 2, 2);

            .movie-content {
                margin-left: 10px;
                
                .tag {
                    font-size: 10px;
                    margin-bottom: 10px !important;
                    height: 20px;
                }

                .rating {
                    margin-bottom: 10px !important;
                    svg {
                        width: 15px !important;
                    }
                }

                .title {
                    font-size: 12px !important;
                    max-width: 130px;
                }
            }
        }
    }

    #featured-tv-shows {
    
        .movie {
            width: 290px;
            height: 400px;
            box-shadow: inset 35px 50px 80px 15px rgb(2, 2, 2);

            .movie-content {
                margin-left: 10px;
                
                .tag {
                    font-size: 13px;
                    margin-bottom: 10px !important;
                    height: 25px;
                }

                .rating {
                    margin-bottom: 10px !important;
                    svg {
                        width: 18px !important;
                    }
                }

                .title {
                    font-size: 15px !important;
                }
            }
            
        }
    }

    .section {

        padding-left: 70px;

        h3 {
            font-size: 14px;
            padding: 20px;
        }
    }
}

@media (min-width: 1440px) and (max-width: 1680px) {
    #sidebar {
        width: 70px;
        
        .sidebar-links {
            
            ul {
                margin-top: 50px !important;
            }

            li {
                margin: 40px 0;
            }
        
            a {
                .logo {
                    width: 40px !important;
                    margin-top: 20px;
                }

                svg {
                    width: 30px;
                }
            }
        }
    }

    .slide {
        background-position: center;
        height: 600px;

        .caption-text {
            width: 600px !important;
            margin-top: 100px !important;
            margin-left: 150px !important;

            .tag {
                font-size: 15px;
                margin-bottom: 10px !important;
                height: 25px;
            }

            .rating {
                margin-bottom: 10px !important;
                svg {
                    width: 25px !important;
                }
            }

            .title {
                font-size: 35px !important;
                margin-bottom: 20px !important;
            }

            .lead {
                font-size: 18px !important;
                line-height: 25px !important;
            }

            button {
                font-size: 15px !important;
                font-weight: bold;
                padding: 15px 25px;
                line-height: 10px;
            }
        }
    }

    #new-releases {
    
        .movie {
            width: 250px;
            height: 400px;
            box-shadow: inset 5px 10px 50px 5px rgb(2, 2, 2);

            .movie-content {
                margin-left: 10px;
                
                .tag {
                    font-size: 12px;
                    margin-bottom: 10px !important;
                    height: 22px;
                }

                .rating {
                    margin-bottom: 10px !important;
                    svg {
                        width: 16px !important;
                    }
                }

                .title {
                    font-size: 14px !important;
                }
            }
        }
    }

    #featured-tv-shows {
    
        .movie {
            width: 390px;
            height: 500px;
            box-shadow: inset 35px 50px 80px 15px rgb(2, 2, 2);

            .movie-content {
                margin-left: 10px;
                
                .tag {
                    font-size: 13px;
                    margin-bottom: 10px !important;
                    height: 25px;
                }

                .rating {
                    margin-bottom: 10px !important;
                    svg {
                        width: 20px !important;
                    }
                }

                .title {
                    font-size: 16px !important;
                }
            }
            
        }
    }

    .section {
    
        h3 {
            font-size: 16px;
            padding: 22px;
        }
    }
}